View Issue Details

IDProjectCategoryView StatusLast Update
0000302FakturamaProdukte (Products)public2018-06-19 16:59
Reporterdr.listemannAssigned Torheydenr 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.6.4 
Target Version2.0.3Fixed in Version2.0.3 
Summary0000302: Irritation zwischen Bestands-Menge und Preisbezugs-Menge
Description

Anlässlich eines Forum-Betrages (https://forum.fakturama.info/read.php?4,4585) habe ich mal getestet, ob sich der im Artikelstamm angelegte Preis auf die ebenfalls dort angelegte Menge bezieht - ist aber nicht so: Die Mengen-Angaben im Artikelstamm sind letztlich Bestandsmengen, die wiederum auch nur bei einer Webshop-Anbindung aktualisiert werden und nicht bei einer Lieferschein- oder Rechnungs-Erfassung direkt unter FAKTURAMA ...
Damit werden gleich drei Baustellen offensichtlich:
1) Um Irritationen zu vermeiden, muss der Begriff "Menge" in "Bestand" oder "Bestandsmenge" umbenannt werden
2) Die Bestandsführung muss auch für die Erfassung von Lieferscheinen oder Rechnungen funktionieren, wenn eine Webshop-Anbindung nicht vorhanden ist bzw. genutzt wird. Dabei muss in den FAKTURAMA-Einstellungen festgelegt werden, ob eine Bestandsführung über eine Webshop-Anbindung erfolgen soll oder über eine Dokumentenerfassung ...
... und hier muss dann weiterhin festgelegt werden, ob die Bestandsführung bereits bei der Lieferschein-Erfassung oder erst bei einer Rechnungs-Erfassung erfolgen soll. Werden die Bestände bereits im Lieferwesen aktualisiert, dürfen sie nach der Übergabe des Lieferscheines an die betreffende Rechnung nicht nochmals aktualisiert werden.
3) Der Begriff "Menge" muss fortan einen Bezug zum Preis haben, oder mit anderen Worten: Der im Artikelstamm hinterlegte Preis bezieht sich auf die dort angegebene Menge (z.B. Preis = 6,90 EUR auf Menge = 100 Stück). Bei der Erfassung eines Angebotes oder einer Rechnung wird der Preis dann auf die Menge in der jeweiligen Position herunter- oder heraufgerechnet (z.B. bei einer Menge = 150 Stück ergibt sich ein Preis von 10,35 EUR).

Additional Information

siehe dazu auch https://forum.fakturama.info/read.php?1,11838,11838#msg-11838

TagsNo tags attached.

Activities

rheydenr

2018-06-11 16:01

administrator   ~0000765

Last edited: 2018-06-11 16:20

View 2 revisions

Punkt 1) und 2) werden umgesetzt, Punkt 3) ist als Preisbezugsmenge etwas zu kompliziert umzusetzen, wird nach hinten geschoben.

Folgendes Problem stellt sich hier noch: Der Lagerbestand kann bei folgenden Ereignissen geändert werden (das ist eine Definitionsfrage, abhängig vom Betriebsablauf):

  • beim Erfassen eines Lieferscheins
  • beim Erfassen einer Rechnung
  • wenn eine Bestellung auf "versendet" gesetzt wird
  • wenn eine Bestellung aus dem Webshop importiert wird
  • wenn eine Bestellung storniert wird (dan muß der Lagerbestand wieder nach oben korrigiert werden)
  • wenn eine Rechnungskorrektur erfolgt

rheydenr

2018-06-19 16:59

administrator   ~0000767

Punkt 1) "Menge" wurde umbenannt
Punkt 2) Es wurde eine neue Einstellung eingeführt. Man kann jetzt zum einen festlegen, ob man überhaupt mit Lagermengen arbeiten möchte und wann die Lagermenge geändert werden soll. Dabei wurde als "Auslöser" jeweils der Druck eines Dokumentes (Lieferschein, Auftrag oder Rechnung) definiert, da ja beim bloßen Ändern eines Dokumentes der Lagerbestand noch nicht geändert wird. Wird im Nachhinein ein gedrucktes Dokument geändert, dann wird nur die Differenzmenge auf den Lagerbestand gerechnet.
Beim Löschen eines Dokumentes werden die Mengen wieder dem Lagerbestand gutgeschrieben.
Punkt 3) Die Preisbezugsmenge kann über Staffelpreise abgedeckt werden. Sollte hier noch Änderungsbedarf bestehen muß das separat weiterverfolgt werden.

Issue History

Date Modified Username Field Change
2014-03-04 14:00 dr.listemann New Issue
2014-03-05 23:24 rheydenr Assigned To => rheydenr
2014-03-05 23:24 rheydenr Status new => assigned
2017-12-30 22:50 rheydenr Target Version Pipeline => 2.0.3
2018-02-06 00:36 rheydenr Category Allgemein (General) => Produkte (Products)
2018-05-29 22:19 rheydenr Additional Information Updated View Revisions
2018-06-11 16:01 rheydenr Note Added: 0000765
2018-06-11 16:20 rheydenr Note Edited: 0000765 View Revisions
2018-06-19 16:59 rheydenr Status assigned => resolved
2018-06-19 16:59 rheydenr Resolution open => fixed
2018-06-19 16:59 rheydenr Fixed in Version => 2.0.3
2018-06-19 16:59 rheydenr Note Added: 0000767